HerbstluftWM in Seven Languages Summary
=====================

# Preface

HerbstluftWM has been stealing my attention for three months. [Primary] topic is *Modularized HerbstluftWM Configuration*. 

![Giphy Screencast][giphy-img]

And there are also complementary topics. I have done, implementing herbstluftWM statusbar, [Part One] contain *tag status decoration* and [Part Two] contain *idle event*. Both Dzen2 and Lemonbar in [Part One], designed specifically for HerbstluftWM's Tag. This idle event in [Part Two] give me challenge, and lead me to solve some *Advance Pipe and Fork* issue. 

Topic

*	Idle Event (Advance Pipe and Fork)

*	Tag Status (Dzen2 and Lemonbar)

*	Modularized Configuration

*	Pipe and Fork (Introduction)

-- -- --

# Screenshot


## Top: HerbstluftWM Tags Status Preview

### Dzen2

![Dzen2: Top: HerbstluftWM][dzen2-top]

### Lemonbar

![Lemonbar: Top: HerbstluftWM][lemon-top]


## Bottom: Standalone Conky Monitor

### Dzen2

![Dzen2: Bottom: Standalone][dzen2-bottom]

### Lemonbar

![Lemonbar: Bottom: Standalone][lemon-bottom]


## Fullscreen

![HerbstluftWM: Dual Panel][photos-ss-hlwm-red]

## Giphy

GIF using byzanz and gifsicle.

*	[Giphy Screencast][giphy-512]

## YouTube Video

MP4 using simplescreenrecorder

*	https://youtu.be/erWOZpi8uWU

## DeviantArt

*	[HerbstluftWM in Seven Languages][deviant-hlwm]

-- -- --

# Source Code

HerbstluftWM

*	<https://gitlab.com/epsi-rns/dotfiles/tree/master/herbstluftwm>

Dzen2

*	<https://gitlab.com/epsi-rns/dotfiles/tree/master/standalone/dzen2-hlwm>

Lemonbar

*	<https://gitlab.com/epsi-rns/dotfiles/tree/master/standalone/lemon-hlwm>

Pipe and Fork

*	<https://gitlab.com/epsi-rns/dotfiles/tree/master/standalone/pipe>

-- -- --

# Micellanous Links

Dotshare


*	<http://dotshare.it/dots/1498/>

Red Screenshot

*	[photos.google.com Red][photos-ss-hlwm-red1]

Blue Screenshot

*	[photos.google.com Blue][photos-ss-hlwm-blue1]

Original Material Design Wallpaper, with SVG Source (inkscape) Available.

*	<http://nurwijayadi.deviantart.com/art/Flat-Wallpaper-with-Isometric-Looks-646980074>

*	<http://nurwijayadi.deviantart.com/art/Material-Design-Wallpaper-654721928>

-- -- --

# Blog

Overview

*	<http://epsi-rns.github.io/desktop/2017/06/11/herbstlustwm-event-idle-overview.html>

*	<http://epsi-rns.github.io/desktop/2017/06/01/herbstlustwm-tag-status-overview.html>

*	<http://epsi-rns.github.io/desktop/2017/05/01/herbstlustwm-modularized-overview.html>

*	<http://epsi-rns.github.io/code/2017/04/23/overview-pipe-and-fork.html>

BASH

*	<http://epsi-rns.github.io/desktop/2017/06/12/herbstlustwm-event-idle-bash.html>

*	<http://epsi-rns.github.io/desktop/2017/06/02/herbstlustwm-tag-status-bash.html>

*	<http://epsi-rns.github.io/desktop/2017/05/02/herbstlustwm-modularized-bash.html>

*	<http://epsi-rns.github.io/code/2017/04/15/bash-pipe-and-fork.html>

Perl

*	<http://epsi-rns.github.io/desktop/2017/06/13/herbstlustwm-event-idle-perl.html>

*	<http://epsi-rns.github.io/desktop/2017/06/03/herbstlustwm-tag-status-perl.html>

*	<http://epsi-rns.github.io/desktop/2017/05/03/herbstlustwm-modularized-perl.html>

*	<http://epsi-rns.github.io/code/2017/04/16/perl-pipe-and-fork.html>

Python

*	<http://epsi-rns.github.io/desktop/2017/06/14/herbstlustwm-event-idle-python.html>

*	<http://epsi-rns.github.io/desktop/2017/06/04/herbstlustwm-tag-status-python.html>

*	<http://epsi-rns.github.io/desktop/2017/05/04/herbstlustwm-modularized-python.html>

*	<http://epsi-rns.github.io/code/2017/04/17/python-pipe-and-fork.html>

Ruby

*	<http://epsi-rns.github.io/desktop/2017/06/15/herbstlustwm-event-idle-ruby.html>

*	<http://epsi-rns.github.io/desktop/2017/06/05/herbstlustwm-tag-status-ruby.html>

*	<http://epsi-rns.github.io/desktop/2017/05/05/herbstlustwm-modularized-ruby.html>

*	<http://epsi-rns.github.io/code/2017/04/18/ruby-pipe-and-fork.html>

PHP

*	<http://epsi-rns.github.io/desktop/2017/06/16/herbstlustwm-event-idle-php.html>

*	<http://epsi-rns.github.io/desktop/2017/06/06/herbstlustwm-tag-status-php.html>

*	<http://epsi-rns.github.io/desktop/2017/05/06/herbstlustwm-modularized-php.html>

*	<http://epsi-rns.github.io/code/2017/04/19/php-pipe-and-fork.html>

Lua

*	<http://epsi-rns.github.io/desktop/2017/06/07/herbstlustwm-tag-status-lua.html>

*	<http://epsi-rns.github.io/desktop/2017/06/07/herbstlustwm-tag-status-lua.html>

*	<http://epsi-rns.github.io/desktop/2017/05/07/herbstlustwm-modularized-lua.html>

*	<http://epsi-rns.github.io/code/2017/04/20/lua-pipe-and-fork.html>

Haskell

*	<http://epsi-rns.github.io/desktop/2017/06/18/herbstlustwm-event-idle-haskell.html>

*	<http://epsi-rns.github.io/desktop/2017/06/08/herbstlustwm-tag-status-haskell.html>

*	<http://epsi-rns.github.io/desktop/2017/05/08/herbstlustwm-modularized-haskell.html>

*	<http://epsi-rns.github.io/code/2017/04/21/haskell-pipe-and-fork.html>

-- -- --

# Complementary

Statusbar

*	<http://epsi-rns.github.io/desktop/2017/04/14/standalone-lemonbar-conky.html>

*	<http://epsi-rns.github.io/desktop/2017/04/11/standalone-dzen2-conky.html>

*	<http://epsi-rns.github.io/desktop/2017/04/01/standalone-dzen2-bash.html>

Haskell Coding

*	<http://epsi-rns.github.io/code/2017/05/15/haskell-loop-with-map.html>

*	<http://epsi-rns.github.io/code/2017/05/22/examining-bind.html>

-- -- --

[dzen2-top]:    https://gitlab.com/epsi-rns/dotfiles/raw/master/herbstluftwm/readme/hlwm-dzen2-ss.png
[lemon-top]:    https://gitlab.com/epsi-rns/dotfiles/raw/master/herbstluftwm/readme/hlwm-lemon-ss.png
[dzen2-bottom]: https://gitlab.com/epsi-rns/dotfiles/raw/master/herbstluftwm/readme/hlwm-dzen2-conky-ss.png
[lemon-bottom]: https://gitlab.com/epsi-rns/dotfiles/raw/master/herbstluftwm/readme/hlwm-lemon-conky-ss.png

[photos-ss-hlwm-blue]: https://lh3.googleusercontent.com/ljvFheUuz-7eR58c3iqngwmVZ7l5HdIRIYZsJNBvyrOW5PSbF0PGPgCuEAuMezumvJkg2HXMWfS-3KJJrMVQO9Ft2etnCh4ur1CXT5PV7G7fbQQqK1X3aBLKfLLb7dWjvSdvR_jkdH6QjfQAhlVrauFxj1C86Zw-nxgITRDgcF12mrWHtzJtVx8s_jN89pTykF17gB8gQWg7rGPEnIlIuqlWZwlrtGeJ5lbWKuqxEcw1IsCfWusH2986IE4GBbRAPn3Wc9w0LxbIP9TPpputL01ETslZxziwAeWDq93HvT_37jyLh0cieQVTN7pzY6A4y-hP1yb3JNjwL1-1u8HNSbcJL3LRyB4hl3dPA4kY594RszuRXFpzEF1OePFm4nctQkCGu19bdqHXRu_W03hlL8DoCnHmLNnFXDORspPgSddbXd1JrjfBZBCLOQmhCcmtsupwGtYHyIUM43_QAnRMR3WqPoSVQxz8u-Ku5kBY0VnBY78iNJVkJoqJA2WBbm8cIAzBRmqF2CMMCa9x3BtEvYW9f2AZbXY-gwEMPJba8ffGF2L0yQQ9oEJp6TeW3cnFOcwR6hKfJAIrlDoGLE8nWO9CRUez_-7nKq5y3mbfGtAc2-EOjRrr6dM4nZ1JA1EWJFWUxa3VD57EemHW8xOeHWi69tDN3YAf9dsqVfT7Og=w1280-h800-no
[photos-ss-hlwm-red]:  https://lh3.googleusercontent.com/Q9Af_TFU9wtq-X6gPdGUMXJKoxfZL6pKXErFRMJwDljnuW45_nqH6LANauwUpfKg3SHwEKEs-Rvy5FnzGna2ZoEUUF8Sb2KYQmsffCG2967e-ZMSk2MUDHRVTO1yv_F70cfh5ONCbUu-vAiEXzw2MkXmYi9Bbj7sHN09YCWyUgzQiNNDPXI5CXnxzWJyv7fwdHrrslDyQEoKWcPrXEH3nOU5PkvuHzZ0Dzxa1uzYreSS0UO6pxD50ut6omurZbzDfkRfGsuX7umwNupYPdmGQNuC0EyDdVg6gm-A_DS8bkj9p8FVEQB7P3sWkiMa3uIoiS1dzAQJRpw_u5DmIt6hP-L-Z815rkTkmnZgyxpggoKGUTuy2k5uXg9RA3TXLMDNDlAsd6F9GYTtdknCVbervXtAY5W6pux-mejG8XIxEydE6m3YmPwBKnJpygGN1spr7895UxZz46tfoZCfHrhEY6_xWbFHOvCi3V2JiWkClwP1GOhnmFFPq2gRoOTGMqNnZZ8CwwCBKpPZf2ZOWcbLG-wBOLvaoY8MjrltFfMcVQctoE5AjP61CjsHEaF3ofdHT2yV5Yvi2i_I2YzUF4_Gv1w9IrPsBQfy0CBcYS4c_9rpOPJ_DD0ckSvdttQiTwFplOwu7mOgRSmZwAtSyNLyISEHBsjbqNmt1GqdzOCFbA=w1280-h800-no

[photos-ss-hlwm-blue1]: 
https://photos.google.com/share/AF1QipMO53TtSJVXrkn8R0s4wre4QWgX7_G5CoaSkFMneVHFp9Tu5STBmdjW3M3fpA2eEw/photo/AF1QipOT7-pmGwsLEivr7U4glNkWVUbUgJbWMZ-ytMs7?key=WGIySDVOaVpibkJCRkV5NWVZUUs3UnNLNHR1MVpn

[photos-ss-hlwm-red1]: https://photos.google.com/share/AF1QipMO53TtSJVXrkn8R0s4wre4QWgX7_G5CoaSkFMneVHFp9Tu5STBmdjW3M3fpA2eEw/photo/AF1QipPqMNt9e3_UypKHqASPs_njHBQPX7Kn8X_O9aTp?key=WGIySDVOaVpibkJCRkV5NWVZUUs3UnNLNHR1MVpn

[giphy-512]: https://giphy.com/gifs/modular-standalone-herbstluftwm-l4FGmHTcdl3R4jGxi
[giphy-img]: https://media.giphy.com/media/l4FGmHTcdl3R4jGxi/giphy.gif

[deviant-hlwm]: http://nurwijayadi.deviantart.com/art/HerbstluftWM-in-Seven-Languages-690831034
